/*
Copyright (c) 2003                      RIPE NCC


All Rights Reserved

Permission to use, copy, modify, and distribute this software and its
documentation for any purpose and without fee is hereby granted,
provided that the above copyright notice appear in all copies and that
both that copyright notice and this permission notice appear in
supporting documentation, and that the name of the author not be
used in advertising or publicity pertaining to distribution of the
software without specific, written prior permission.

THE AUTHOR DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING
ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS; IN NO EVENT SHALL
AUTHOR BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY
DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN
AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
*/

/*
-------------------------------------------------------------------------------
Module Header
Filename          : CSVdump.h
Author            : Rene Wilhelm
Date              : 17-JAN-2003
Description       : CSVdump Class defintion  
Language Version  : C++
OSs Tested        : Solaris 2.6, Linux gcc2.95

The CSVdump class provides an interface to output TTM data
in CSV (comma seperated values) format.

The interface to the outside is provided by two methods:

  Init() - initaliaze output file
  Dump() - output one data record
  Close() - close output file
	
$Id: CSVdump.h,v 1.1 2003/01/16 17:28:13 wilhelm Exp $
-------------------------------------------------------------------------------
*/

#ifndef CSVdump_included
#define CSVdump_included

#include "Delay.h"
#include "iostream.h"
#include "fstream.h"

enum csvtype {
	delays,		// dump Delay object info
	trends		// dump DelaySummary object info
};

class CSVdump {
private:

	char *pathname;
	ofstream csvfile;

public:
	CSVdump();	// set pointers to NULL
	~CSVdump();	// close stream

	void Dump(Delay* packet);
	void Open(char *outdir, char *srcname, char *tgtname,
		char *prefix, csvtype type);
	
};
#endif

